Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.move.factory
Class MoveIteratorFactoryToMoveSelectorBridge

    java.lang.Object
      org.drools.planner.core.heuristic.selector.AbstractSelector
          org.drools.planner.core.heuristic.selector.move.AbstractMoveSelector
              org.drools.planner.core.heuristic.selector.move.factory.MoveIteratorFactoryToMoveSelectorBridge

All Implemented Interfaces:
  Iterable<Move>, EventListener, MoveSelector, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class MoveIteratorFactoryToMoveSelectorBridge

extends AbstractMoveSelector

Bridges a `MoveIteratorFactory` to a `MoveSelector`.

Field Summary
`protected MoveIteratorFactory` | `moveIteratorFactory`
`protected boolean` | `randomSelection`
`protected ScoreDirector` | `scoreDirector`

Fields inherited from class org.drools.planner.core.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`MoveIteratorFactoryToMoveSelectorBridge(MoveIteratorFactory moveIteratorFactory, boolean randomSelection)`

Method Summary
`long` | `getSize()` A random JIT `Selector` with `Selector.isNeverEnding()` true should return a size as if it would be able to return each distinct element only once, because the size can be used in `SelectionProbabilityWeightFactory`.
`boolean` | `isContinuous()` If true, then `Selector.isNeverEnding()` is also true.
`boolean` | `isNeverEnding()` Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases).
`Iterator<Move>` | `iterator()`
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`
`String` | `toString()`

Methods inherited from class org.drools.planner.core.heuristic.selector.AbstractSelector
`solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`stepEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### moveIteratorFactory

    protected final MoveIteratorFactory moveIteratorFactory

### randomSelection

    protected final boolean randomSelection

### scoreDirector

    protected ScoreDirector scoreDirector

Constructor Detail

### MoveIteratorFactoryToMoveSelectorBridge

    public MoveIteratorFactoryToMoveSelectorBridge(MoveIteratorFactory moveIteratorFactory,
                                                   boolean randomSelection)

Method Detail

### phaseStarted

    public void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseStarted` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `AbstractSelector`

### phaseEnded

    public void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

  Specified by:
    `phaseEnded` in interface `SolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `AbstractSelector`

### isContinuous

    public boolean isContinuous()

  Description copied from interface: `Selector`
  If true, then `Selector.isNeverEnding()` is also true.

  Returns:
    true if any of the value ranges are continuous (as in for example every double value between 1.2 and 1.4)

### isNeverEnding

    public boolean isNeverEnding()

  Description copied from interface: `Selector`
  Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases). Is never true when this selector is in shuffled order (which is less scalable but more exact).

  Returns:
    true if the `Iterator.hasNext()` of the `Iterator` created by `Iterable.iterator()` never returns false.

### getSize

    public long getSize()

  Description copied from interface: `Selector`
  A random JIT `Selector` with `Selector.isNeverEnding()` true should return a size as if it would be able to return each distinct element only once, because the size can be used in `SelectionProbabilityWeightFactory`.

  Returns:
    the approximate number of elements generated by this `Selector`, always >= 0

### iterator

    public Iterator<Move> iterator()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.